package com.yunzhi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 人员
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPerson对象", description="人员")
public class TaPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "人员ID")
    @TableId(value = "person_id", type = IdType.UUID)
    private String personId;

    @ApiModelProperty(value = "openid")
    private String openid;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "手机")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String eMail;

    @ApiModelProperty(value = "学校ID")
    private String schoolId;

    @ApiModelProperty(value = "学校名称")
    @TableField(exist = false)
    private String schoolName;

    @ApiModelProperty(value = "学界")
    private String schoolBatch;

    @ApiModelProperty(value = "专业ID")
    private String specialtyId;

    @ApiModelProperty(value = "专业名称")
    @TableField(exist = false)
    private String specialtyName;

    @ApiModelProperty(value = "学号")
    private String studentId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "统计数据")
    @TableField(exist = false)
    private TaPersonData personData;
}
