package com.yunzhi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 文章表
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPost对象", description="文章表")
public class TaPost implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文章ID")
    @TableId(value = "post_id", type = IdType.UUID)
    private String postId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "作者")
    private String author;

    @ApiModelProperty(value = "分类")
    private String typeId;

    @ApiModelProperty(value = "分类名称")
    private String typeName;

    @ApiModelProperty(value = "发布时间")
    private String publishDate;

    @ApiModelProperty(value = "封面")
    private String poster;

    @ApiModelProperty(value = "简介")
    private String summary;

    @ApiModelProperty(value = "正文")
    private String content;

    @ApiModelProperty(value = "是否视频")
    private Boolean isVideo;

    @ApiModelProperty(value = "视频地址")
    private String videoUrl;

    @ApiModelProperty(value = "视频封面")
    private String videoPoster;

    @ApiModelProperty(value = "标签组")
    private String tags;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "是否热门")
    private Boolean isTopic;

    @ApiModelProperty(value = "答题个数")
    private Integer answerNum;

    @ApiModelProperty(value = "积分")
    private Integer points;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "统计数据")
    @TableField(exist = false)
    private TaPostData postData;

    @ApiModelProperty(value = "题库")
    @TableField(exist = false)
    private List<TaPostTest> postTestList;

    @ApiModelProperty(value = "是否被收藏")
    @TableField(exist = false)
    private Boolean isSaved;
}
