package com.yunzhi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 科室
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdDepartment对象", description="科室")
public class TdDepartment implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "科室ID")
    @TableId(value = "depart_id", type = IdType.INPUT)
    private String departId;

    @ApiModelProperty(value = "科室名称")
    private String name;

    @ApiModelProperty(value = "所属医务室")
    private String hospitalId;

    @ApiModelProperty(value = "排序")
    private String sortNo;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;


}
